org.yaml.snakeyaml.introspector

## Class FieldProperty

- java.lang.Object
- - org.yaml.snakeyaml.introspector.Property
  - - org.yaml.snakeyaml.introspector.GenericProperty
    - - org.yaml.snakeyaml.introspector.FieldProperty

All Implemented Interfaces:
  Comparable<Property>

    public class FieldProperty
    extends GenericProperty

A `FieldProperty` is a `Property` which is accessed as a field, without going through accessor methods (setX, getX). The field may have any scope (public, package, protected, private).

### Constructor Summary

Constructors
Constructor and Description
`FieldProperty(Field field)`

### Method Summary

Methods
`Object` `get(Object object)`
`<A extends Annotation> A` `getAnnotation(Class<A> annotationType)` Returns property's annotation for the given type or `null` if it's not present.
`List<Annotation>` `getAnnotations()` Returns the annotations that are present on this property or empty `List` if there're no annotations.
`void` `set(Object object, Object value)`

### Methods inherited from class org.yaml.snakeyaml.introspector.GenericProperty

`getActualTypeArguments`

### Methods inherited from class org.yaml.snakeyaml.introspector.Property

`compareTo, equals, getName, getType, hashCode, isReadable, isWritable, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FieldProperty

    public FieldProperty(Field field)

### Method Detail

#### set

    public void set(Object object,
           Object value)
             throws Exception

Specified by:
  `set` in class `Property`
Throws:
  `Exception`

#### get

    public Object get(Object object)

Specified by:
  `get` in class `Property`

#### getAnnotations

    public List<Annotation> getAnnotations()

Description copied from class: `Property`
Returns the annotations that are present on this property or empty `List` if there're no annotations.

Specified by:
  `getAnnotations` in class `Property`
Returns:
  the annotations that are present on this property or empty `List` if there're no annotations

#### getAnnotation

    public <A extends Annotation> A getAnnotation(Class<A> annotationType)

Description copied from class: `Property`
Returns property's annotation for the given type or `null` if it's not present.

Specified by:
  `getAnnotation` in class `Property`
Type Parameters:
  `A` - class of the annotation
Parameters:
  `annotationType` - the type of the annotation to be returned
Returns:
  property's annotation for the given type or `null` if it's not present